Create Alert

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/alert
API call form
Examples
List of examples
  • Create an alert
  • Create an alert and define channel
  • Create alert & associate to existing Channel
Description

Create an alert. After creating the alert, associate it to one or more channels to start receiving the alert via that channel.

Base URL
https://api.luzmo.com/0.1.0/alert
Example Response
200
400
500
{
  "id": "0218f31b-0296-4cce-b2a4-384f27d2526a",
  "name": {
    "en": "My alert"
  },
  "query": {
    "measures": [
      {
        "dataset_id": "74379a5b-4979-49b0-9fda-7b72ca5c1c77",
        "column_id": "8aaa54b3-b605-4f2b-a93f-6d6c7d017366",
        "aggregation": {
          "type": "sum"
        }
      }
    ],
    "dimensions": [
      {
        "column_id": "7d4a54b3-a805-4f2b-a93f-6d6c7d017305",
        "dataset_id": "74379a5b-4979-49b0-9fda-7b72ca5c1c77"
      }
    ],
    "where": [
      {
        "expression": "? in ?",
        "parameters": [
          {
            "dataset_id": "74379a5b-4979-49b0-9fda-7b72ca5c1c77",
            "column_id": "7d4a54b3-a805-4f2b-a93f-6d6c7d017305"
          },
          [
            "Quesarito",
            "Chicken baconito"
          ]
        ]
      }
    ],
    "having": [
      {
        "expression": "? > ?",
        "parameters": [
          {
            "dataset_id": "74379a5b-4979-49b0-9fda-7b72ca5c1c77",
            "column_id": "8aaa54b3-b605-4f2b-a93f-6d6c7d017366",
            "aggregation": {
              "type": "sum"
            }
          },
          10000
        ]
      }
    ],
    "context": {},
    "options": {
      "timezone_id": "Europe/Brussels"
    }
  },
  "chart_id": null,
  "created_at": "2024-02-09T15:20:52.350Z",
  "updated_at": "2024-02-09T15:20:52.360Z",
  "user_id": "444e2d0c-8dfb-45c1-bb97-52cb9264671f",
  "schedule_id": "845ce6b8-6371-4f80-b471-74a0ba163db6",
  "securable_id": "74379a5b-4979-49b0-9fda-7b72ca5c1c77",
  "frequency": {
    "unit": "day",
    "quantity": 1
  }
}